/* $Id: ledpwm.h,v 1.3 2010/07/10 07:34:51 simimeie Exp $
 * Functions for led brightness control via PWM (pulse width modulation).
 */

#ifndef _LEDPWM_H_
#define _LEDPWM_H_

#define LEDPWM_REDLED    1
#define LEDPWM_GREENLED  2
#define LEDPWM_BLUELED   3

extern uint8_t ledpwm_re;
extern uint8_t ledpwm_gr;
extern uint8_t ledpwm_bl;
extern uint8_t ledpwm_bri;

/* Init PWM (pins and timers) */
void ledpwm_init(void);

/* Set brightness for a certain LED */
void ledpwm_setled(uint8_t led, uint8_t val);

/* Set brightness for all LEDs */
void ledpwm_set(uint8_t red, uint8_t green, uint8_t blue, uint8_t br);

#endif /* _LEDPWM_H_ */
